## pcsc-lite 2.2.3

=== meson_options.txt ===
option('libsystemd',
  type : 'boolean',
  description : 'Use systemd for daemon auto start')

option('libudev',
  type : 'boolean',
  description : 'Use libudev (preferred) for USB hotplug')

option('libusb',
  type : 'boolean',
  value : false,
  description : 'Use libusb for USB hotplug')

option('polkit',
  type : 'boolean',
  description : 'Use polkit to enforce access control')

option('usb',
  type : 'boolean',
  description : 'Support USB readers')

option('serial',
  type : 'boolean',
  description : 'Support serial readers')

option('serialconfdir',
  type : 'string',
  value : '/etc/reader.conf.d',
  description : 'Path for serial configuration files')

option('usbdropdir',
  type : 'string',
  value : '/usr/lib/pcsc/drivers',
  description : 'Path for USB drivers')

option('ipcdir',
  type : 'string',
  value : '/run/pcscd',
  description : 'Direcrory for pcsc-lite internal communication socket')

option('systemdunit',
  type : 'combo',
  choices : ['user', 'system'],
  value : 'user',
  description : 'Systemd unit directory to use')

option('embedded',
  type : 'boolean',
  value : 'false',
  description : 'for embedded systems [limit RAM and CPU resources by disabling features (log)]')

option('filter_names',
  type : 'boolean',
  value : 'true',
  description : 'reader filtering using PCSCLITE_FILTER_IGNORE_READER_NAMES and PCSCLITE_FILTER_EXTEND_READER_NAMES')

## pcsc-lite 1.7.0

=== debian/changelog ===
pcsc-lite (1.7.0-2ubuntu2) natty; urgency=low

  * debian/control: Drop pcscd Recommends to Suggests:, as pcscd (and its
    dependencies) is in universe.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 22 Mar 2011 20:09:23 +0100

pcsc-lite (1.7.0-2ubuntu1) natty; urgency=low

  * Merge from Debian Unstable (FFe LP: #723016).  Remaining changes:
  * debian/rules: Keep moving runtime libraries to /lib, for the benefit of
    wpasupplicant.

 -- Nicolas Derive <kalon33@ubuntu.com>  Mon, 21 Mar 2011 08:46:55 +0100

pcsc-lite (1.7.0-2) unstable; urgency=low

  * Fix "fails to install" add a Depends: adduser so that addgroup is
    available (Closes: #617698)

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 10 Mar 2011 20:27:57 +0100

pcsc-lite (1.7.0-1) unstable; urgency=low

  * New upstream release
  * Fix "uses deprecated HAL" fixed upstream by using libudev instead
    (Closes: #587979)
  * Fix "please drop dependency on pcscd". libpcsclite1 now Recommends:
    instead of Depends: on pcscd (Closes: #612971)
  * debian/control: add a Build-Depends: pkg-config since we use it to detect
    the presence of libudev

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 09 Mar 2011 14:45:34 +0100

pcsc-lite (1.6.7-1) unstable; urgency=low

  * New upstream release
  * Fix "missing dependency for libccid > 1.4" pcscd now depends on version
    >= 1.4.1~ of libccid. Previous versions of libccid do not have the udev
    rule file to set the device permissions so the reader is not usable with
    the pcscd when run as NON root (Closes: #613404)
  * Fix "missing dependecy for libpcsclite1 in fiting version" libpcsclite1
    now depends on the exact same version of pcscd instead of just conflicting
    with a previous version of pcscd (Closes: #613405)

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 22 Feb 2011 23:53:28 +0100

pcsc-lite (1.6.6-2) unstable; urgency=low

  * upload to unstable
  * pcscd.dirs: remove usr/share/lintian/overrides since the override file was
    removed in 1.6.5-1

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 09 Feb 2011 21:05:13 +0100

pcsc-lite (1.6.6-1) experimental; urgency=low

  * New upstream release
  * Fix "Regression: My card{,-reader} fails with 1.6.5-1" bug fixed upstream
    (Closes: #606121)
  * Fix "pcscd - Unneeded high privileges" pcscd is now running as a normal
    user in the pcscd group (Closes: #606142)
    See http://ludovicrousseau.blogspot.com/2010/09/pcscd-auto-start.html
    The driver package shall privide a udev rule file to set the correct
    permissions on the device. libccid does that.

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 12 Dec 2010 16:04:08 +0100

pcsc-lite (1.6.5-1) experimental; urgency=low

  * New upstream release
  * debian/rules: do not install pcscd suid root
  * debian/pcscd.lintian-overrides: removed since no more lintian warnings
  * debian/pcscd.init: create $IPCDIR with correct access rights
  * debian/pcscd.postinst: create the pcscd group and setgid pcscd to it
  * debian/pcscd.README.Debian: remove outdated "pscsd starts before usbmgr"
    section and add "pscsd sgid pcscd" section

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 04 Dec 2010 23:14:18 +0100

pcsc-lite (1.6.4-1) experimental; urgency=low

  * New upstream release
  * debian/rules: install pcscd suid root. This was broken in previous
    packages.
  * debian/control: remove Conflicts: libccid (<= 1.0.0-1)
    stable (lenny) already has libccid 1.3.8
    lintian complained that Breaks should be used instead

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 15 Aug 2010 14:53:03 +0200

pcsc-lite (1.6.3-1) experimental; urgency=low

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 15 Aug 2010 11:26:22 +0200

pcsc-lite (1.6.2-1) experimental; urgency=low

  * New upstream release
  * debian/rules: use the minimal dh rules
  * debian/control: Standards-Version: 3.8.4 -> 3.9.1. No change needed.
  * Fix "depends on pcscd which is priority: extra". The 3 packages are now
    priority "optional" (Closes: #591151)

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 04 Aug 2010 11:44:00 +0200

pcsc-lite (1.6.1-1) experimental; urgency=low

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 04 Jun 2010 15:55:41 +0200

pcsc-lite (1.6.0-2) experimental; urgency=low

  * install an /etc/init.d/pcscd file again but with the daemon disabled.
    This should ease upgrades and allow users to still start the daemon on
    startup if needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 14 May 2010 17:30:19 +0200

pcsc-lite (1.6.0-1) experimental; urgency=low

  * New upstream release
  * debian/libpcsclite-dev.install: do not install libpcsclite.a since it is
    no more built upstream.
  * configure pcscd to use --enable-confdir=/etc/reader.conf.d instead of
    /var/lib/pcscd since pcscd can now parse a directory and each file in it.
    . Also remove update-reader.conf(8) script and related files since it is
    now useless.
    . pcscd.postinst now removes the unused files instead of calling
    update-reader.conf. This script can be removed for squeeze+1
  * debian/source/format: use "3.0 (quilt)" format
  * debian/rules: add --sysconfdir=/etc
  * do not start pcscd at startup any more. pcscd is started by libpcsclite.so
    when needed. But install pcscd as setuid root now. You can restrict the
    access rights of pcscd to limit its use to a particular group if needed.
  * debian/control: libpcsclite1 now Depends: instead of Suggests: on pcscd
    The daemon is not started at boot time but only on request so the CPU cost
    is zero if not used.

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 12 May 2010 21:15:16 +0200

pcsc-lite (1.5.5-4ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Move runtime libraries to /lib, for the benefit of wpasupplicant.
    - disable hal support. LP: #506908
    - add build-dep on libusb-dev, fixes FTBFS


=== debian/control ===
Source: pcsc-lite
Section: misc
Priority: optional
Maintainer: Nicolas Derive <kalon33@ubuntu.com>
XSBC-Original-Maintainer: Ludovic Rousseau <rousseau@debian.org>
Build-Depends: debhelper (>= 7.0.50~), flex, autotools-dev, libudev-dev, pkg-config
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/pcsc-lite/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/pcsc-lite/trunk/
Homepage: http://pcsclite.alioth.debian.org/

Package: pcscd
Architecture: any
Depends: libccid (>= 1.4.1~) | pcsc-ifd-handler, ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), adduser
Description: Middleware to access a smart card using PC/SC (daemon side)
 The purpose of PC/SC Lite is to provide a Windows(R) SCard interface
 in a very small form factor for communicating to smart cards and
 smart cards readers.
 .
 The PC/SC daemon is used to dynamically allocate/deallocate reader
 drivers at runtime and manage connections to the readers.

Package: libpcsclite-dev
Section: libdevel
Architecture: any
Depends: libpcsclite1 (= ${binary:Version}), ${misc:Depends}
Description: Middleware to access a smart card using PC/SC (development files)
 The purpose of PC/SC Lite is to provide a Windows(R) SCard interface
 in a very small form factor for communicating to smart cards and
 smart cards readers.
 .
 This package contains the files needed for compiling and linking
 an application that communicates to any reader available to the
 PC/SC daemon.

Package: libpcsclite1
Section: libs
Architecture: any
Conflicts: libpcsclite-dev (<< ${binary:Version})
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: pcscd (= ${binary:Version})
Description: Middleware to access a smart card using PC/SC (library)
 The purpose of PC/SC Lite is to provide a Windows(R) SCard interface
 in a very small form factor for communicating to smartcards and
 readers.
 .
 The PC/SC Lite library is used to connect to the PC/SC daemon from
 a client application and provide access to the desired reader.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_install:
	dh_install --sourcedir=debian/tmp
	# move runtime libraries to /lib
	mv debian/libpcsclite1/usr/lib/libpcsclite.so.1* \
		debian/libpcsclite1/lib/
	rmdir -p --ignore-fail-on-non-empty debian/libpcsclite1/usr/lib
	ln -sf /lib/$$(readlink debian/libpcsclite-dev/usr/lib/libpcsclite.so) \
		debian/libpcsclite-dev/usr/lib/libpcsclite.so

%:
	dh $@

## pcsc-lite 1.7.2

=== debian/changelog ===
pcsc-lite (1.7.2-2ubuntu2) oneiric; urgency=low

  * debian/rules: Ensure that debian/libpcsclite1/lib/ actually exists.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 03 May 2011 10:53:11 +0200

pcsc-lite (1.7.2-2ubuntu1) oneiric; urgency=low

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/rules: Move runtime libraries to /lib, for the benefit of
      wpasupplicant. (See Debian #531592)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 03 May 2011 10:36:49 +0200

pcsc-lite (1.7.2-2) unstable; urgency=low

  * Change pcscd dependency from Recommends: to Suggests: so that installing
    an application using libpcsclite1 will not install pcscd by default. This
    should please wpasupplicant users.
  * Fix "libpcsclite1 - Depends against a daemon" (Closes: #619883)

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 16 Apr 2011 16:46:19 +0200

pcsc-lite (1.7.2-1) unstable; urgency=low

  * New upstream release
  * Fix "pcscd fails to work with REINER SCT cyberJack" fixed upstream
    (Closes: #620232)
  * debian/control: Build-Depends: on libusb2-dev on !linux-any systems
    (kFreeBSD) instead of libudev-dev

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 31 Mar 2011 22:17:32 +0200

pcsc-lite (1.7.1-1) unstable; urgency=low

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 30 Mar 2011 10:37:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: pcsc-lite
 Section: misc
 Priority: optional
-Maintainer: Nicolas Derive <kalon33@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), flex, autotools-dev, libudev-dev, pkg-config
+Build-Depends: debhelper (>= 7.0.50~), flex, autotools-dev, libudev-dev [linux-any], libusb2-dev [!linux-any], pkg-config
 Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/pcsc-lite/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/pcsc-lite/trunk/

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 override_dh_install:
 	dh_install --sourcedir=debian/tmp
 	# move runtime libraries to /lib
+	mkdir -p debian/libpcsclite1/lib/
 	mv debian/libpcsclite1/usr/lib/libpcsclite.so.1* \
 		debian/libpcsclite1/lib/
 	rmdir -p --ignore-fail-on-non-empty debian/libpcsclite1/usr/lib

## pcsc-lite 1.7.4

=== debian/changelog ===
pcsc-lite (1.7.4-2ubuntu2) precise; urgency=low

  * Install into multiarch locations. LP: #949912.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Apr 2012 10:00:42 +0200

pcsc-lite (1.7.4-2ubuntu1) precise; urgency=low

  * Merge with Debian testing. Remaining Ubuntu changes:
    - debian/rules: Move runtime libraries to /lib, for the benefit of
      wpasupplicant. (See Debian #531592)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 19 Oct 2011 15:43:44 +0200

pcsc-lite (1.7.4-2) unstable; urgency=low

  * Fix "Please tighten the dependency to `libpcsclite1`" (Closes: #638329)
    We now have:
    pcscd Depends: libpcsclite1 (= ${binary:Version})
    libpcsclite1 Breaks: pcscd (<< ${binary:Version})
    It should be impossible to have pcscd and libpcsclite1 from 2 different
    versions.

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 27 Aug 2011 20:01:12 +0200

pcsc-lite (1.7.4-1) unstable; urgency=low

  * New upstream release
  * Fix "Does not work with gnupg card" fixed upstream (Closes: #631333)

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 23 Jun 2011 18:32:22 +0200

pcsc-lite (1.7.3-2) unstable; urgency=low

  * debian/{rules,control}: special treatment for Hurd. Thanks to Pino Toscano
    for the patch. Really Closes: #626201

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 22 Jun 2011 16:33:26 +0200

pcsc-lite (1.7.3-1) unstable; urgency=low

  * New upstream release
  * Fix "FTBFS on hurd-i386" fixed upstream (Closes: #626201)
  * Fix "pcscd slows down sutdown/restart" fixed upstream (Closes: #620305)
  * debian/control: Standards-Version: 3.9.1 -> 3.9.2. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 22 Jun 2011 11:58:10 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), flex, autotools-dev, libudev-dev [linux-any], libusb2-dev [!linux-any], pkg-config
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.0.50~), flex, autotools-dev, libudev-dev [linux-any], libusb2-dev [kfreebsd-any], pkg-config
+Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/pcsc-lite/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/pcsc-lite/trunk/
 Homepage: http://pcsclite.alioth.debian.org/
 
 Package: pcscd
 Architecture: any
-Depends: libccid (>= 1.4.1~) | pcsc-ifd-handler, ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), adduser
+Depends: libccid (>= 1.4.1~) | pcsc-ifd-handler, ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), adduser, libpcsclite1 (= ${binary:Version})
 Description: Middleware to access a smart card using PC/SC (daemon side)
  The purpose of PC/SC Lite is to provide a Windows(R) SCard interface
  in a very small form factor for communicating to smart cards and
@@ -23,6 +23,7 @@
 Package: libpcsclite-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libpcsclite1 (= ${binary:Version}), ${misc:Depends}
 Description: Middleware to access a smart card using PC/SC (development files)
  The purpose of PC/SC Lite is to provide a Windows(R) SCard interface
@@ -36,9 +37,12 @@
 Package: libpcsclite1
 Section: libs
 Architecture: any
+Multi-Arch: same
 Conflicts: libpcsclite-dev (<< ${binary:Version})
+Pre-Depends: multiarch-support
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: pcscd (= ${binary:Version})
+Breaks: pcscd (<< ${binary:Version})
 Description: Middleware to access a smart card using PC/SC (library)
  The purpose of PC/SC Lite is to provide a Windows(R) SCard interface
  in a very small form factor for communicating to smartcards and

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
ifeq ($(DEB_HOST_ARCH_OS),hurd)
  EXTRA_CONFIGURE_ARGS += --disable-usb
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRA_CONFIGURE_ARGS)

override_dh_install:
	dh_install --sourcedir=debian/tmp
	# move runtime libraries to /lib/<multiarch>
	mkdir -p debian/libpcsclite1/lib/$(DEB_HOST_MULTIARCH)
	mkdir -p debian/libpcsclite-dev/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/libpcsclite1/usr/lib/libpcsclite.so.1* \
		debian/libpcsclite1/lib/$(DEB_HOST_MULTIARCH)
	rmdir -p --ignore-fail-on-non-empty debian/libpcsclite1/usr/lib
	ln -sf /lib/$(DEB_HOST_MULTIARCH)/$$(readlink debian/libpcsclite-dev/usr/lib/libpcsclite.so) \
		debian/libpcsclite-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libpcsclite.so
	rm -f debian/libpcsclite-dev/usr/lib/libpcsclite.so
	mv debian/libpcsclite-dev/usr/lib/libpcsclite.la debian/libpcsclite-dev/usr/lib/$(DEB_HOST_MULTIARCH)/.
	mv  debian/libpcsclite-dev/usr/lib/pkgconfig debian/libpcsclite-dev/usr/lib/$(DEB_HOST_MULTIARCH)/.

## pcsc-lite 1.8.1

=== debian/changelog ===
pcsc-lite (1.8.1-4) unstable; urgency=low

  * If systemd is used then do not start pcscd at boot but on demand
    http://ludovicrousseau.blogspot.com/2011/11/pcscd-auto-start-using-systemd.html

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 03 Dec 2011 14:45:35 +0100

pcsc-lite (1.8.1-3) unstable; urgency=low

  * debian/{control,rules}: do not Build-Depends: on systemd but use
    --with-systemdsystemunitdir=/lib/systemd/system instead
    Fix "Not building on !linux architectures" (Closes: #650251)

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 29 Nov 2011 22:54:48 +0100

pcsc-lite (1.8.1-2) unstable; urgency=low

  * debian/pcscd.postinst: Fix "Fails to configure" check that systemd is
    installed _and_ running (Closes: #650174)
  * debian/control: Add Build-Depends: systemd since the ./configure script
    uses pkg-config --variable=systemdsystemunitdir systemd

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 27 Nov 2011 20:49:17 +0100

pcsc-lite (1.8.1-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: use Machine-readable DEP-5 format
  * debian/pcscd.init: Fix "init.d status support" (Closes: #644127)
  * debian/pcscd.postinst: enable pcscd for systemd is systemd is installed
  * debian/control: libpcsclite1 now Breaks: instead of Conflicts:
    libpcsclite-dev (<< ${binary:Version})
  * debian/control: Suggests: systemd
  * debian/control: libpcsclite-dev now provides libpcscspy.so
  * debian/pcscd.dirs: do not install empty directories usr/lib/pcsc/drivers
    and usr/lib/pcsc/services. Reported by lintian
  * debian/libpcsclite-dev.install: do not distribute the .la file any more
  * debian/pcscd.install: install systemd configuration files

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 25 Nov 2011 17:42:18 +0100

=== debian/control ===
Source: pcsc-lite
Section: misc
Priority: optional
Maintainer: Ludovic Rousseau <rousseau@debian.org>
Build-Depends: debhelper (>= 7.0.50~), flex, autotools-dev, libudev-dev [linux-any], libusb2-dev [kfreebsd-any], pkg-config
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/pcsc-lite/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/pcsc-lite/trunk/
Homepage: http://pcsclite.alioth.debian.org/

Package: pcscd
Architecture: any
Depends: libccid (>= 1.4.1~) | pcsc-ifd-handler, ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), adduser, libpcsclite1 (= ${binary:Version})
Suggests: systemd
Description: Middleware to access a smart card using PC/SC (daemon side)
 The purpose of PC/SC Lite is to provide a Windows(R) SCard interface
 in a very small form factor for communicating to smart cards and
 smart cards readers.
 .
 The PC/SC daemon is used to dynamically allocate/deallocate reader
 drivers at runtime and manage connections to the readers.

Package: libpcsclite-dev
Section: libdevel
Architecture: any
Depends: libpcsclite1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Middleware to access a smart card using PC/SC (development files)
 The purpose of PC/SC Lite is to provide a Windows(R) SCard interface
 in a very small form factor for communicating to smart cards and
 smart cards readers.
 .
 This package contains the files needed for compiling and linking
 an application that communicates to any reader available to the
 PC/SC daemon.
 .
 This package also contains the PC/SC spying library: libpcscspy.so
 See http://ludovicrousseau.blogspot.com/2011/11/pcsc-api-spy-third-try.html

Package: libpcsclite1
Section: libs
Architecture: any
Breaks: libpcsclite-dev (<< ${binary:Version}), pcscd (<< ${binary:Version})
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: pcscd (= ${binary:Version})
Description: Middleware to access a smart card using PC/SC (library)
 The purpose of PC/SC Lite is to provide a Windows(R) SCard interface
 in a very small form factor for communicating to smartcards and
 readers.
 .
 The PC/SC Lite library is used to connect to the PC/SC daemon from
 a client application and provide access to the desired reader.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
ifeq ($(DEB_HOST_ARCH_OS),hurd)
  EXTRA_CONFIGURE_ARGS += --disable-usb
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRA_CONFIGURE_ARGS) --with-systemdsystemunitdir=/lib/systemd/system

## pcsc-lite 1.8.2

=== debian/changelog ===
pcsc-lite (1.8.2-1) unstable; urgency=low

  * New upstream release
  * Fix "Please enabled hardened build flags" by using $(shell
    dpkg-buildflags --export=configure) as a ./configure argument
    (Closes: #656273)
  * Fix "please package libpcsclite debug symbols" by providing a new
    package libpcsclite-dbg (Closes: #655915)
  * Fix "please package pcsc-spy.py tool" by installing pcsc-spy in
    /usr/bin/ from package libpcsclite-dev (Closes: #655756)

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 18 Jan 2012 17:05:04 +0100

pcsc-lite (1.8.1-5) unstable; urgency=low

  * Fix "[pcscd] unusable due to typo in init.d-script" Correctly set the
    access rights of /var/run/pcscd (Closes: #652236)

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 15 Dec 2011 18:47:44 +0100

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
 Section: libdevel
 Architecture: any
 Depends: libpcsclite1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Recommends: python
 Description: Middleware to access a smart card using PC/SC (development files)
  The purpose of PC/SC Lite is to provide a Windows(R) SCard interface
  in a very small form factor for communicating to smart cards and
@@ -35,6 +36,19 @@
  .
  This package also contains the PC/SC spying library: libpcscspy.so
  See http://ludovicrousseau.blogspot.com/2011/11/pcsc-api-spy-third-try.html
+
+Package: libpcsclite-dbg
+Section: debug
+Architecture: any
+Priority: extra
+Depends: libpcsclite1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: Middleware to access a smart card using PC/SC (debugging symbols)
+ The purpose of PC/SC Lite is to provide a Windows(R) SCard interface
+ in a very small form factor for communicating to smart cards and
+ smart cards readers.
+ .
+ This package contains the detached debugging symbols to be used for
+ debugging the applications using PC/SC Lite.
 
 Package: libpcsclite1
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- $(EXTRA_CONFIGURE_ARGS) --with-systemdsystemunitdir=/lib/systemd/system
+	dh_auto_configure -- $(EXTRA_CONFIGURE_ARGS) --with-systemdsystemunitdir=/lib/systemd/system $(shell dpkg-buildflags --export=configure)
+
+override_dh_strip:
+	dh_strip --dbg-package=libpcsclite-dbg

## pcsc-lite 1.8.4

=== debian/changelog ===
pcsc-lite (1.8.4-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Revert multiarch changes:
    - use pre-multiarch paths in debian/*.install
    - drop Multi-Arch control field

 -- intrigeri <intrigeri@debian.org>  Mon, 24 Sep 2012 20:20:57 +0200

pcsc-lite (1.8.4-1) unstable; urgency=high

  * New upstream release
  * urgency set to high since this version of pcsc-lite fixes the Alioth bug
    [#313684] "Reader name too long" error and need to be in wheezy before the
    freeze.

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 26 Jun 2012 21:07:26 +0200

pcsc-lite (1.8.3-3) unstable; urgency=low

  * rebuild for multi-arch. See bug #647522

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 06 May 2012 18:09:46 +0200

pcsc-lite (1.8.3-2) unstable; urgency=low

  * Fix "invoke-rc.d pcscd start starts the daemon again if allready
    running" do not remove /var/run/pcscd/ if already present (Closes: #666465)

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 31 Mar 2012 18:07:01 +0200

pcsc-lite (1.8.3-1) unstable; urgency=low

  * New upstream release
  * Fix "fails to start if config directory contains subdirectories"
    fixed upstream (Closes: #658322)
  * debian/control: Standards-Version: 3.9.2 -> 3.9.3. No change needed.
  * Add Build-Depends: dpkg-dev (>= 1.16.1~) so that dpkg-buildflags supports
    --export=configure as we use it in debian/rules. This is needed to easily
    packport the package.
    Thanks to Jean-Michel Pouré for the bug report.
  * Add multi-arch support. (LP: #949912)

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 30 Mar 2012 14:32:19 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: misc
 Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), flex, autotools-dev, libudev-dev [linux-any], libusb2-dev [kfreebsd-any], pkg-config
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), flex, autotools-dev, libudev-dev [linux-any], libusb2-dev [kfreebsd-any], pkg-config, dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/pcsc-lite/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/pcsc-lite/trunk/
 Homepage: http://pcsclite.alioth.debian.org/
@@ -24,6 +24,7 @@
 Section: libdevel
 Architecture: any
 Depends: libpcsclite1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Recommends: python
 Description: Middleware to access a smart card using PC/SC (development files)
  The purpose of PC/SC Lite is to provide a Windows(R) SCard interface
@@ -55,6 +56,7 @@
 Architecture: any
 Breaks: libpcsclite-dev (<< ${binary:Version}), pcscd (<< ${binary:Version})
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Suggests: pcscd (= ${binary:Version})
 Description: Middleware to access a smart card using PC/SC (library)
  The purpose of PC/SC Lite is to provide a Windows(R) SCard interface

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
ifeq ($(DEB_HOST_ARCH_OS),hurd)
  EXTRA_CONFIGURE_ARGS += --disable-usb
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRA_CONFIGURE_ARGS) --with-systemdsystemunitdir=/lib/systemd/system --enable-usbdropdir=/usr/lib/pcsc/drivers $(shell dpkg-buildflags --export=configure)

override_dh_strip:
	dh_strip --dbg-package=libpcsclite-dbg

## pcsc-lite 1.8.5

=== debian/changelog ===
pcsc-lite (1.8.5-1ubuntu1) quantal; urgency=low

  * Merge with Debian
    Remaining Ubuntu changes:
    - debian/rules: Move runtime libraries to /lib, for the benefit of
      wpasupplicant. (See Debian #531592)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Aug 2012 12:18:05 +0200

pcsc-lite (1.8.5-1) unstable; urgency=low

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 04 Aug 2012 16:36:31 +0200

## pcsc-lite 1.8.6

=== debian/changelog ===
pcsc-lite (1.8.6-3ubuntu1) raring; urgency=low

  * Merge with Debian
    Remaining Ubuntu changes:
    - debian/rules: Move runtime libraries to /lib, for the benefit of
      wpasupplicant. (See Debian #531592)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 13 Nov 2012 17:23:28 +0100

pcsc-lite (1.8.6-3) unstable; urgency=low

  * debian/libpcsclite1.symbols: update the versioning to exact (or more
    realistic) values.
    See Debian bug #690074

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 24 Oct 2012 13:58:56 +0200

pcsc-lite (1.8.6-2) unstable; urgency=low

  * Fix "Wrong way of inhibiting start when using systemd" by removing the
    useless (and wrong) code (Closes: #691086)

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 24 Oct 2012 13:47:03 +0200

pcsc-lite (1.8.6-1) unstable; urgency=low

  * New upstream release
  * debian/libpcsclite1.symbols: provide list symbols provided by
    libpcsclite.so.1 library

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 30 Aug 2012 20:05:30 +0200

## pcsc-lite 1.8.10

=== debian/changelog ===
pcsc-lite (1.8.10-1ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - Build using dh-autoreconf.
    - debian/rules: Move runtime libraries to /lib, for the benefit of
      wpasupplicant. (See Debian #531592)

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jan 2014 21:18:08 +0100

pcsc-lite (1.8.10-1) unstable; urgency=low

  * New upstream release
  * debian/libpcsclite1.symbols: remove the log_msg symbol. The bug is fixed
    upstream.
  * debian/control: fix lintian vcs-field-not-canonical for Vcs-Svn

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 19 Oct 2013 18:44:32 +0200

pcsc-lite (1.8.9-1) unstable; urgency=low

  * New upstream release
  * debian/control: try to fix lintian vcs-field-not-canonical
  * debian/control: Standards-Version: 3.9.3 -> 3.9.4. No change needed.
  * debian/libpcsclite1.symbols: add an entry for log_msg. It is a bug from
    upstream bug lintian comlains if the symbol is not present with
    symbols-file-contains-current-version-with-debian-revision

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 16 Oct 2013 16:59:16 +0200

pcsc-lite (1.8.8-4) unstable; urgency=low

  * Fix "[PATCH] use dh-systemd" (Closes: #715257)
  * Fix lintian debug-package-for-multi-arch-same-pkg-not-coinstallable
    debian/control: Add "Multi-Arch: same" for libpcsclite1-dbg

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 11 May 2013 14:02:11 +0200

pcsc-lite (1.8.8-3) unstable; urgency=low

  [ Martin Pitt ]
  * debian/pcscd.postinst: Check whether systemd init is running, not just for
    the cgroup (which is also being used by logind).

  [ Ludovic Rousseau ]
  * remove Depends: adduser since addgroup is no more used

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 11 May 2013 13:46:16 +0200

pcsc-lite (1.8.8-2) unstable; urgency=low

  * Fix "Please include SONAME in debug package name" rename libpcsclite-dbg
    in libpcsclite1-dbg (Closes: #698372)

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 09 Feb 2013 18:59:05 +0100

pcsc-lite (1.8.8-1) unstable; urgency=low

  * New upstream release
  * do not use a pcscd group any more. pcscd is started at boot or by systemd

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 16 Jan 2013 16:24:42 +0100

pcsc-lite (1.8.7-1) unstable; urgency=low

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 28 Nov 2012 20:28:14 +0100

pcsc-lite (1.8.6-4) unstable; urgency=low

  * Fix "Incorrect LSB header, Should-Start contains obsolete hal"
    remove hal dependency from init script (Closes: #694019)

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 26 Oct 2012 13:53:12 +0200

pcsc-lite (1.8.6-3ubuntu2) trusty; urgency=medium

  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Dec 2013 23:48:08 +0100

pcsc-lite (1.8.6-3ubuntu1b1) raring; urgency=low

  * No-change rebuild against libudev1

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Mar 2013 07:08:03 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: pcsc-lite
 Section: misc
 Priority: optional
-Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Build-Depends: debhelper (>= 9), flex, autotools-dev, libudev-dev [linux-any], libusb2-dev [kfreebsd-any], pkg-config, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/pcsc-lite/trunk
-Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/pcsc-lite/trunk/
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ludovic Rousseau <rousseau@debian.org>
+Build-Depends: debhelper (>= 9), flex, autotools-dev, libudev-dev [linux-any], libusb2-dev [kfreebsd-any], pkg-config, dpkg-dev (>= 1.16.1~), dh-systemd (>= 1.4), dh-autoreconf
+Standards-Version: 3.9.4
+Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/pcsc-lite/trunk
+Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/pcsc-lite/trunk/
 Homepage: http://pcsclite.alioth.debian.org/
 
 Package: pcscd
 Architecture: any
-Depends: libccid (>= 1.4.1~) | pcsc-ifd-handler, ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), adduser, libpcsclite1 (= ${binary:Version})
+Depends: libccid (>= 1.4.1~) | pcsc-ifd-handler, ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), libpcsclite1 (= ${binary:Version})
 Suggests: systemd
 Description: Middleware to access a smart card using PC/SC (daemon side)
  The purpose of PC/SC Lite is to provide a Windows(R) SCard interface
@@ -38,11 +39,14 @@
  This package also contains the PC/SC spying library: libpcscspy.so
  See http://ludovicrousseau.blogspot.com/2011/11/pcsc-api-spy-third-try.html
 
-Package: libpcsclite-dbg
+Package: libpcsclite1-dbg
 Section: debug
 Architecture: any
 Priority: extra
+Conflicts: libpcsclite-dbg
+Replaces: libpcsclite-dbg
 Depends: libpcsclite1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
 Description: Middleware to access a smart card using PC/SC (debugging symbols)
  The purpose of PC/SC Lite is to provide a Windows(R) SCard interface
  in a very small form factor for communicating to smart cards and
@@ -57,6 +61,7 @@
 Breaks: libpcsclite-dev (<< ${binary:Version}), pcscd (<< ${binary:Version})
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Suggests: pcscd (= ${binary:Version})
 Description: Middleware to access a smart card using PC/SC (library)
  The purpose of PC/SC Lite is to provide a Windows(R) SCard interface

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
ifeq ($(DEB_HOST_ARCH_OS),hurd)
  EXTRA_CONFIGURE_ARGS += --disable-usb
endif

%:
	dh $@ --with=systemd,autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRA_CONFIGURE_ARGS) --with-systemdsystemunitdir=/lib/systemd/system --enable-usbdropdir=/usr/lib/pcsc/drivers $(shell dpkg-buildflags --export=configure)

override_dh_strip:
	dh_strip --dbg-package=libpcsclite1-dbg

override_dh_install:
	dh_install --sourcedir=debian/tmp
	# move runtime libraries to /lib/<multiarch>
	mv debian/libpcsclite1/usr/lib debian/libpcsclite1/lib
	ln -sf /lib/$(DEB_HOST_MULTIARCH)/$$(readlink debian/libpcsclite-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libpcsclite.so) \
		debian/libpcsclite-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libpcsclite.so

## pcsc-lite 1.8.13

=== debian/changelog ===
pcsc-lite (1.8.13-1+vua1) unstable; urgency=medium

  * Rebuild without systemd support

 -- Dimitri Puzin <max@psycast.de>  Sun, 07 Dec 2014 15:00:06 +0100

pcsc-lite (1.8.13-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Standards-Version: 3.9.5 -> 3.9.6. No change needed.
  * Fix "Socket activation not working on first try". Fixed upstream
    (Closes: #767862)

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 07 Nov 2014 13:36:56 +0100

pcsc-lite (1.8.12-1) unstable; urgency=medium

  * New upstream release
  * Fix "Conflicting return types of function IsClientAuthorized"
    fixed upstream (Closes: #751517)

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 24 Sep 2014 15:12:59 +0200

pcsc-lite (1.8.11-3) unstable; urgency=medium

  * Fix "run dh-autoreconf to update config.{sub, guess} and {libtool,
    aclocal}.m4" by using dh-autoreconf (Closes: #748275)
  * debian/control: Standards-Version: 3.9.4 -> 3.9.5. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 18 May 2014 17:18:25 +0200

pcsc-lite (1.8.11-2) unstable; urgency=medium

  * Fix "pcscd should rely on dh-systemd to enable the socket" let dh-systemd
    do its work. The package already Build-Depends: dh-systemd
    (Closes: #748047)
  * debian/pcscd.{postinst,postrm}: remove these now useless files.
    The /etc/readeer.conf file is no more used since 1.6.0-1. These files
    can be removed since wheezy (actual stable).

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 14 May 2014 14:24:06 +0200

pcsc-lite (1.8.11-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: update URL
  * debian/rules: build in parallel

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 14 Feb 2014 17:20:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,13 @@
 Source: pcsc-lite
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Build-Depends: debhelper (>= 9), flex, autotools-dev, libudev-dev [linux-any], libusb2-dev [kfreebsd-any], pkg-config, dpkg-dev (>= 1.16.1~), dh-systemd (>= 1.4), dh-autoreconf
-Standards-Version: 3.9.4
-Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/pcsc-lite/trunk
-Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/pcsc-lite/trunk/
-Homepage: http://pcsclite.alioth.debian.org/
+Maintainer: Dimitri Puzin <max@psycast.de>
+Build-Depends: debhelper (>= 9), flex, dh-autoreconf, libudev-dev [linux-any], libusb2-dev [kfreebsd-any], pkg-config, dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.6
 
 Package: pcscd
 Architecture: any
 Depends: libccid (>= 1.4.1~) | pcsc-ifd-handler, ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), libpcsclite1 (= ${binary:Version})
-Suggests: systemd
 Description: Middleware to access a smart card using PC/SC (daemon side)
  The purpose of PC/SC Lite is to provide a Windows(R) SCard interface
  in a very small form factor for communicating to smart cards and

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
ifeq ($(DEB_HOST_ARCH_OS),hurd)
  EXTRA_CONFIGURE_ARGS += --disable-usb
endif

%:
	dh $@ --with autoreconf --parallel

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRA_CONFIGURE_ARGS) --enable-usbdropdir=/usr/lib/pcsc/drivers $(shell dpkg-buildflags --export=configure)

override_dh_strip:
	dh_strip --dbg-package=libpcsclite1-dbg

## pcsc-lite 1.8.14

=== debian/changelog ===
pcsc-lite (1.8.14-1ubuntu1) wily; urgency=medium

  * Merge new upstream release from Debian Unstable (LP: #1483750).
    - debian/rules: Move runtime libraries to /lib, for the benefit of
      wpasupplicant. (See Debian #531592)

 -- Nicolas Derive <kalon33@ubuntu.com>  Tue, 11 Aug 2015 15:26:58 +0200

pcsc-lite (1.8.14-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 05 Aug 2015 13:05:11 +0200

=== debian/watch ===
version=3
https://alioth.debian.org/frs/?group_id=30105 \
	.*/pcsc-lite-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## pcsc-lite 1.8.20

=== debian/changelog ===
pcsc-lite (1.8.20-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 30 Dec 2016 18:17:58 +0100

pcsc-lite (1.8.19-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 09 Dec 2016 10:11:15 +0100

pcsc-lite (1.8.18-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 10 Aug 2016 20:56:54 +0200

pcsc-lite (1.8.17-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Standards-Version: 3.9.7 -> 3.9.8. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 29 May 2016 17:30:12 +0200

pcsc-lite (1.8.16-1) unstable; urgency=medium

  * New upstream release
  * debian/control: fix lintian warning vcs-field-uses-insecure-uri vcs-browser
    Use https:// instead of http://
  * debian/control: Standards-Version: 3.9.6 -> 3.9.7. No change needed.
  * debian/rules: use "hardening=+all" to harden even more the binaries

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 20 Mar 2016 17:28:29 +0100

pcsc-lite (1.8.15-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 25 Dec 2015 21:28:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,17 @@
 Source: pcsc-lite
 Section: misc
 Priority: optional
-Maintainer: Dimitri Puzin <max@psycast.de>
-Build-Depends: debhelper (>= 9), flex, dh-autoreconf, libudev-dev [linux-any], libusb2-dev [kfreebsd-any], pkg-config, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.6
+Maintainer: Ludovic Rousseau <rousseau@debian.org>
+Build-Depends: debhelper (>= 9), flex, dh-autoreconf, libudev-dev [linux-any], libusb2-dev [kfreebsd-any], pkg-config, dpkg-dev (>= 1.16.1~), dh-systemd (>= 1.4)
+Standards-Version: 3.9.8
+Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/pcsc-lite/trunk
+Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/pcsc-lite/trunk/
+Homepage: http://pcsclite.alioth.debian.org/
 
 Package: pcscd
 Architecture: any
 Depends: libccid (>= 1.4.1~) | pcsc-ifd-handler, ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), libpcsclite1 (= ${binary:Version})
+Suggests: systemd
 Description: Middleware to access a smart card using PC/SC (daemon side)
  The purpose of PC/SC Lite is to provide a Windows(R) SCard interface
  in a very small form factor for communicating to smart cards and

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
ifeq ($(DEB_HOST_ARCH_OS),hurd)
  EXTRA_CONFIGURE_ARGS += --disable-usb
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with systemd,autoreconf --parallel

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRA_CONFIGURE_ARGS) --with-systemdsystemunitdir=/lib/systemd/system --enable-usbdropdir=/usr/lib/pcsc/drivers $(shell dpkg-buildflags --export=configure)

override_dh_strip:
	dh_strip --dbg-package=libpcsclite1-dbg

## pcsc-lite 1.8.22

=== debian/changelog ===
pcsc-lite (1.8.22-1ubuntu1) artful; urgency=medium

  * Merge new upstream release from Debian Unstable.
    - debian/rules: Move runtime libraries to /lib, for the benefit of
      wpasupplicant. (See Debian #531592)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 23 Aug 2017 11:13:08 -0400

pcsc-lite (1.8.22-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 17 Jun 2017 10:17:37 +0200

pcsc-lite (1.8.21-1ubuntu1) artful; urgency=medium

  * Merge new upstream release from Debian Unstable.
    - debian/rules: Move runtime libraries to /lib, for the benefit of
      wpasupplicant. (See Debian #531592)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 15 Jun 2017 14:48:54 -0400

pcsc-lite (1.8.21-1) unstable; urgency=medium

  * New upstream release

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 20 May 2017 17:27:49 +0200

pcsc-lite (1.8.20-1ubuntu1) artful; urgency=medium

  * Merge new upstream release from Debian Unstable.
    - debian/rules: Move runtime libraries to /lib, for the benefit of
      wpasupplicant. (See Debian #531592)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 03 May 2017 08:36:48 -0400

pcsc-lite (1.8.14-1ubuntu2) zesty; urgency=medium

  * SECURITY UPDATE: denial of service and possible code execution via
    cardsList use-after-free
    - debian/patches/CVE-2016-10109-1.patch: prevent use-after-free of
      cardsList in src/winscard_svc.c.
   - debian/patches/CVE-2016-10109-2.patch: check for a valid hContext
      handles in src/winscard_svc.c.
    - CVE-2016-10109

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 23 Jan 2017 13:43:41 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pcsc-lite
 Section: misc
 Priority: optional
-Maintainer: Ludovic Rousseau <rousseau@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ludovic Rousseau <rousseau@debian.org>
 Build-Depends: debhelper (>= 9), flex, dh-autoreconf, libudev-dev [linux-any], libusb2-dev [kfreebsd-any], pkg-config, dpkg-dev (>= 1.16.1~), dh-systemd (>= 1.4)
 Standards-Version: 3.9.8
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/pcsc-lite/trunk

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 ifeq ($(DEB_HOST_ARCH_OS),hurd)
   EXTRA_CONFIGURE_ARGS += --disable-usb
 endif
@@ -15,3 +16,10 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=libpcsclite1-dbg
+
+override_dh_install:
+	dh_install --sourcedir=debian/tmp
+	# move runtime libraries to /lib/<multiarch>
+	mv debian/libpcsclite1/usr/lib debian/libpcsclite1/lib
+	ln -sf /lib/$(DEB_HOST_MULTIARCH)/$$(readlink debian/libpcsclite-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libpcsclite.so) \
+		debian/libpcsclite-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libpcsclite.so

## pcsc-lite 1.8.23

=== debian/changelog ===
pcsc-lite (1.8.23-1) unstable; urgency=medium

  * New upstream version 1.8.23
  * Migrate the Debian packging from SVN to GIT
  * Check upstream tarball signature
  * Add .symbols file for libpcscspy
  * Build-Depends: add libsystemd-dev
  * Do not provide libpcscspy.so anymore
  * Add documentation to the systemd file
  * Update debian/compat from 9 to 10

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 19 Dec 2017 15:40:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: pcsc-lite
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Build-Depends: debhelper (>= 9), flex, dh-autoreconf, libudev-dev [linux-any], libusb2-dev [kfreebsd-any], pkg-config, dpkg-dev (>= 1.16.1~), dh-systemd (>= 1.4)
+Maintainer: Ludovic Rousseau <rousseau@debian.org>
+Build-Depends: debhelper (>= 10), flex, dh-autoreconf, libudev-dev [linux-any], libusb2-dev [kfreebsd-any], pkg-config, dpkg-dev (>= 1.16.1~), dh-systemd (>= 1.4), libsystemd-dev
 Standards-Version: 3.9.8
-Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/pcsc-lite/trunk
-Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/pcsc-lite/trunk/
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/pcsc-lite.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/pcsc-lite.git
 Homepage: http://pcsclite.alioth.debian.org/
 
 Package: pcscd

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
ifeq ($(DEB_HOST_ARCH_OS),hurd)
  EXTRA_CONFIGURE_ARGS += --disable-usb
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRA_CONFIGURE_ARGS) --with-systemdsystemunitdir=/lib/systemd/system --enable-usbdropdir=/usr/lib/pcsc/drivers $(shell dpkg-buildflags --export=configure)

override_dh_strip:
	dh_strip --dbg-package=libpcsclite1-dbg

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
	https://alioth.debian.org/frs/?group_id=30105 \
	.*/pcsc-lite-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))
